using System.Data.SQLite;

namespace HIA_beadando.Database
{
    class DatabaseOperator
    {
        private SQLiteConnection con = new SQLiteConnection("data source=adatbazis.db");

        public SQLiteConnection GetConnection()
        {
            return con;
        }

        public void openConnection()
        {
            if (con.State == System.Data.ConnectionState.Closed)
            {
                con.Open();
            }
        }

        public void closeConnection()
        {
            if (con.State == System.Data.ConnectionState.Open)
            {
                con.Close();
            }
        }
    }
}
